summaryrefslogtreecommitdiffstats
path: root/ocamlbuild/test/runtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ocamlbuild/test/runtest.sh')
-rwxr-xr-xocamlbuild/test/runtest.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/ocamlbuild/test/runtest.sh b/ocamlbuild/test/runtest.sh
new file mode 100755
index 000000000..7bdb76be1
--- /dev/null
+++ b/ocamlbuild/test/runtest.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -e
+cd `dirname $0`
+
+myfiglet() {
+ figlet $@ | sed 's/ *$//'
+}
+
+if figlet ""; then
+ BANNER=myfiglet
+else
+ echo "Install figlet to have a better output, press enter to continue with echo"
+ read
+ BANNER=echo
+fi
+
+HERE=`pwd`
+
+$BANNER Test2
+./test2/test.sh $@
+$BANNER Test3
+./test3/test.sh $@
+$BANNER Test4
+./test4/test.sh $@
+$BANNER Test5
+./test5/test.sh $@
+$BANNER Test6
+./test6/test.sh $@
+$BANNER Test7
+./test7/test.sh $@
+$BANNER Test8
+./test8/test.sh $@
+$BANNER Test9
+./test9/test.sh $@